Uploaded image for project: 'Kafka'
  1. Kafka
  2. KAFKA-8959

Update Guava to 24 (or newer) or remove dependency

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Critical
    • Resolution: Duplicate
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: KafkaConnect
    • Labels:
      None

      Description

      The reflections library has a dependency on Guava 20.0 and it seems like there are some issues when running with newer Guava versions:

      https://github.com/ronmamo/reflections/issues/194

      The reflections library hasn't received any code updates since 2017 so it looks like it's not actively maintained anymore.

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              ijuma Ismael Juma
            • Votes:
              0 Vote for this issue
              Watchers:
              5 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: